co.aikar.commands

## Class JDAOptions

- java.lang.Object
- - co.aikar.commands.JDAOptions

    public class JDAOptions
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JDAOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JDAOptions` `configProvider(@NotNull CommandConfigProvider configProvider)`
`JDACommandManager` `create(net.dv8tion.jda.core.JDA jda)`
`JDAOptions` `defaultConfig(@NotNull CommandConfig defaultConfig)`
`JDAOptions` `permissionResolver(@NotNull CommandPermissionResolver permissionResolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDAOptions

    public JDAOptions()

### Method Detail

#### defaultConfig

    public JDAOptions defaultConfig(@NotNull
                                    @NotNull CommandConfig defaultConfig)

#### configProvider

    public JDAOptions configProvider(@NotNull
                                     @NotNull CommandConfigProvider configProvider)

#### permissionResolver

    public JDAOptions permissionResolver(@NotNull
                                         @NotNull CommandPermissionResolver permissionResolver)

#### create

    public JDACommandManager create(net.dv8tion.jda.core.JDA jda)